kitten(1)

Name
kitten - Fast, statically compiled implementations of various kittens (command line tools for use with kitty)

Usage
kitten command [command options] [command args]

Description
kitten serves as a launcher for running individual kittens. Each kitten can be run as kitten command. The list of available kittens is given below.

Commands

@   Control kitty remotely. See: kitten-@(1)

ask Ask the user for input. See: kitten-ask(1)

choose-files
    Choose files, fast. See: kitten-choose-files(1)

choose-fonts
    Choose the fonts used in kitty. See: kitten-choose-fonts(1)

clipboard
    Copy/paste with the system clipboard, even over SSH. See: kitten-clipboard(1)

command-palette
    Browse and trigger keyboard shortcuts and actions. See: kitten-command-palette(1)

desktop-ui
    Implement various desktop components for use with lightweight compositors/window managers on Linux. See: kitten-desktop-ui(1)

diff
    Pretty, side-by-side diffing of files and images. See: kitten-diff(1)

dnd Perform drag and drop operations, even over SSH. See: kitten-dnd(1)

edit-in-kitty
    Edit a file in a kitty overlay window. See: kitten-edit-in-kitty(1)

hints
    Select text from screen with keyboard. See: kitten-hints(1)

hyperlinked-grep
    Add hyperlinks to the output of ripgrep. See: kitten-hyperlinked-grep(1)

icat
    Display images in the terminal. See: kitten-icat(1)

mouse-demo
    Demo the mouse handling kitty implements for terminal programs. See: kitten-mouse-demo(1)

notify
    Send notifications to the user. See: kitten-notify(1)

panel
    Use a command line program to draw a GPU accelerated panel on your desktop. See: kitten-panel(1)

query-terminal
    Query the terminal for various capabilities. See: kitten-query-terminal(1)

quick-access-terminal
    A quick access terminal window that you can bring up instantly with a keypress or a command.. See: kitten-quick-access-terminal(1)

run-shell
    Run the user's shell with shell integration enabled. See: kitten-run-shell(1)

show-key
    Show the codes generated by the terminal for key presses in various keyboard modes. See: kitten-show-key(1)

ssh Truly convenient SSH. See: kitten-ssh(1)

themes
    Manage kitty color schemes easily. See: kitten-themes(1)

transfer
    Transfer files easily over the TTY device. See: kitten-transfer(1)

unicode-input
    Browse and select unicode characters by name. See: kitten-unicode-input(1)

update-self
    Update this kitten binary. See: kitten-update-self(1)

Get help for an individual command by running:
kitten command -h

Options

--version [=no]
    The current kitten version.

--help, -h [=no]
    Show help for this command